 

clip3 = newclip=1 bclip=-0.00020 eclip=0.00020 

###############################################################
#  Figure 2: angular range of crosstalk and signal for one shot
#            cubeplot
###############################################################

# Noise slice - angle= -35 
# Signal slice - angle= 15
Fig/dmAngbefore-explain.v: Fig/Vline.v Data/dmAngbefore.H
	rm -f Vstack.v Vleft.v Vmid.v Vright.v 0.v 1.v 2.v 3.v 
	${SEPBIN}/Window3d < Data/dmAngbefore.H  n5=1 f5=1 | ${SEPBIN}/Window3d n2=1 f2=38       | ${SEPBIN}/Grey  ${fig1par} wantaxis2=0 title='(a)' out=V1.v
	${SEPBIN}/Window3d < Data/dmAngbefore.H  n5=1 f5=1 | ${SEPBIN}/Window3d n3=1 f3=${xloc5} | ${SEPBIN}/Grey ${fig1par2} wantaxis2=0 title='(b)' label2=' ' out=V2.v
	${SEPBIN}/Window3d < Data/dmAngbefore.H  n5=1 f5=1 | ${SEPBIN}/Window3d n2=1 f2=13       | ${SEPBIN}/Grey  ${fig1par} title='(c)' out=V3.v
	${SEPBIN}/Window3d < Data/dmAngbefore.H  n5=1 f5=1 | ${SEPBIN}/Window3d n3=1 f3=${xloc5} | ${SEPBIN}/Grey ${fig1par2} title='(d)' label2=' ' out=V4.v
	${SEPBIN}/vppen < V1.v vpstyle=n xshift=0.5 yshift=9.7 > VV1.v
	${SEPBIN}/vppen < V2.v vpstyle=n xshift=12.4 yshift=9.7 > VV2.v
	${SEPBIN}/vppen < V3.v vpstyle=n xshift=0.5 yshift=0.5 > VV3.v
	${SEPBIN}/vppen < V4.v vpstyle=n xshift=12.4 yshift=0.5 > VV4.v
	${SEPBIN}/vppen VV1.v VV2.v VV3.v VV4.v  erase=n scale=0.4 > junk1.v
	${SEPBIN}/vp_Overlay junk1.v Fig/Vline.v > Fig/Vmp1.v
	${SEPBIN}/vp_annotate < Fig/Vmp1.v text=Ant/dmAng-explain.txt batch=y > $@
	rm -f V*.v junk*v Fig/Vmp1.v Fig/Vline.v

Fig/Vline.v:
	${SEPBIN}/Vel n1=300 n2=1 n3=1 d1=1. d2=1. d3=1. o1=0. o2=0. o3=0. vc=0 > tmp1.H
	${SEPBIN}/Graph < tmp1.H ${wigpar}  title='55000' dash=1 plotcol=5 out=Vtmp1.v >/dev/null
	${SEPBIN}/Graph < tmp1.H ${wigpar}  title='-35deg' dash=1 plotcol=5 out=Vtmp2.v >/dev/null
	${SEPBIN}/Graph < tmp1.H ${wigpar}  title='15deg' dash=1 plotcol=5 out=Vtmp3.v >/dev/null
	${SEPBIN}/vppen < Vtmp1.v vpstyle=n xshift=1.98 yshift=0.25 > junk1.v
	${SEPBIN}/vppen < Vtmp2.v vpstyle=n xshift=4.535 yshift=0.25 > junk2.v
	${SEPBIN}/vppen < Vtmp1.v vpstyle=n xshift=1.98 yshift=3.95 > junk3.v
	${SEPBIN}/vppen < Vtmp3.v vpstyle=n xshift=5.16 yshift=3.95 > junk4.v
	${SEPBIN}/vp_Overlay junk1.v junk2.v junk3.v junk4.v > $@
	pycode/pyRemove.py tmp1.H
	rm -f V*v junk*v

wigpar = transp=1 pclip=100. yreverse=y wantaxis=0 wantframe=0 title=' ' screenwd=2. screenht=3.5 plotfat=15 titlesz=5 titlefat=3
fig1label= wherexlabel=b titlesz=14 titlefat=4
fig1clip = newclip=1 bclip=-2.5 eclip=2.5 
fig1par = title=" " label2="x (m)" label1="Depth (m)"  > /dev/null wheretitle=b grid2=1 g2num=1000 wheretitle=t grid1=1 g1num=1000. ${fig1label} max1=6000. ${fig1clip}
fig1par2 = title=" " label2="angle (deg)" label1="Depth (m)"  > /dev/null screenwd=5.0 screenht=10.25 wheretitle=t wantaxis1=0 grid1=1 g1num=1000. ${fig1label} max1=6000. ${fig1clip}
###############################################################
#  Figure 1,3, and 4 : Zero-offset image with 3 angle panels
#             before filtering, after filter, and noise
###############################################################

Fig/dmDeiCbup-before.v: Data/dmAngbefore.H
	rm -f Vstack.v Vleft.v Vmid.v Vright.v 0.v 1.v 2.v 3.v 
	${SEPBIN}/Window3d < ${D}/dmbefore.H  n4=1 f4=30 | ${SEPBIN}/Window3d n3=1 f3=1 | ${SEPBIN}/Grey  ${dmpar} title='(a)' out=Vstack.v
	${SEPBIN}/Window3d < Data/dmAngbefore.H n5=1 f5=1 | ${SEPBIN}/Window3d n3=1 f3=${xloc3} | ${SEPBIN}/Grey ${dmpar2} title='(b)' label2=' ' out=Vleft.v
	${SEPBIN}/Window3d < Data/dmAngbefore.H n5=1 f5=1 | ${SEPBIN}/Window3d n3=1 f3=${xloc4} | ${SEPBIN}/Grey ${dmpar2} title='(c)'  wantaxis1=0 out=Vmid.v
	${SEPBIN}/Window3d < Data/dmAngbefore.H n5=1 f5=1 | ${SEPBIN}/Window3d n3=1 f3=${xloc5} | ${SEPBIN}/Grey ${dmpar2} title='(d)' label2=' ' wantaxis1=0 out=Vright.v
	${SEPBIN}/vppen < Vstack.v vpstyle=n xshift=0.8 yshift=6.8 > 0.v
	${SEPBIN}/vppen < Vleft.v vpstyle=n xshift=2.5 yshift=1.0 > 1.v
	${SEPBIN}/vppen < Vmid.v vpstyle=n xshift=6.0 yshift=1.0 > 2.v
	${SEPBIN}/vppen < Vright.v vpstyle=n xshift=9.5 yshift=1.0 > 3.v
	${SEPBIN}/vppen 0.v 1.v 2.v 3.v erase=n scale=0.4 > $@
	rm -f Vstack.v Vleft.v Vmid.v Vright.v 0.v 1.v 2.v 3.v 

Fig/dmDeiCbup-after%.v: Data/dmafter%.H Data/dmAngafter%.H
	rm -f Vstack.v Vleft.v Vmid.v Vright.v 0.v 1.v 2.v 3.v 
	${SEPBIN}/Window3d < Data/dmafter$*.H  n4=1 f4=30 | ${SEPBIN}/Window3d n3=1 f3=1| ${SEPBIN}/Grey  ${dmpar} title='(a)' out=Vstack.v
	${SEPBIN}/Window3d < Data/dmAngafter$*.H n5=1 f5=1 | ${SEPBIN}/Window3d n3=1 f3=${xloc3} | ${SEPBIN}/Grey ${dmpar2} title='(b)' label2=' ' out=Vleft.v
	${SEPBIN}/Window3d < Data/dmAngafter$*.H n5=1 f5=1 | ${SEPBIN}/Window3d n3=1 f3=${xloc4} | ${SEPBIN}/Grey ${dmpar2} title='(c)'  wantaxis1=0 out=Vmid.v
	${SEPBIN}/Window3d < Data/dmAngafter$*.H n5=1 f5=1 | ${SEPBIN}/Window3d n3=1 f3=${xloc5} | ${SEPBIN}/Grey ${dmpar2} title='(d)' label2=' ' wantaxis1=0 out=Vright.v
	${SEPBIN}/vppen < Vstack.v vpstyle=n xshift=0.8 yshift=6.8 > 0.v
	${SEPBIN}/vppen < Vleft.v vpstyle=n xshift=2.5 yshift=1.0 > 1.v
	${SEPBIN}/vppen < Vmid.v vpstyle=n xshift=6.0 yshift=1.0 > 2.v
	${SEPBIN}/vppen < Vright.v vpstyle=n xshift=9.5 yshift=1.0 > 3.v
	${SEPBIN}/vppen 0.v 1.v 2.v 3.v erase=n scale=0.4 > $@
	rm -f Vstack.v Vleft.v Vmid.v Vright.v 0.v 1.v 2.v 3.v 


###############################################################
#  Figure 5 and 6 :  RTM and LSRTM result
#            no filter, with filter, and difference
###############################################################


Fig/up-filter-compare-iter2.v: Data/mUp-nofilter-iter2.H Data/mUp-filter-iter2.H Data/diff-filter-iter2.H
	< Data/mUp-nofilter-iter2.H    ${xzoomwin2}  ${SEPBIN}/Grey ${fig5par} wantaxis2=0 title='(a) without filtering' out=junk1.v >/dev/null
	< Data/mUp-filter-iter2.H    ${xzoomwin2}   ${SEPBIN}/Grey ${fig5par} wantaxis2=0 title='(b) with filtering'  out=junk2.v >/dev/null
	< Data/diff-filter-iter2.H   ${xzoomwin2}   ${SEPBIN}/Grey ${fig5par} title='(c) difference'  out=junk3.v >/dev/null
	${SEPBIN}/vppen < junk1.v vpstyle=n xshift=0 yshift=18.5 > 1.v
	${SEPBIN}/vppen < junk2.v vpstyle=n xshift=0 yshift=9.5 > 2.v
	${SEPBIN}/vppen < junk3.v vpstyle=n xshift=0 yshift=0.5 > 3.v
	${SEPBIN}/vppen 1.v 2.v 3.v erase=n scale=0.2 > Fig/Vmp1.v
	${SEPBIN}/vp_annotate < Fig/Vmp1.v text=Ant/up-filter-compare-iter2.txt batch=y > $@
	python pycode/pyRemove.py 1.v 2.v 3.v junk*.v	Fig/Vmp1.v


Fig/up-filter-compare-iter20.v: Data/mUp-nofilter-iter20.H Data/mUp-filter-iter20.H Data/diff-filter-iter20.H
	< Data/mUp-nofilter-iter20.H    ${xzoomwin2}  ${SEPBIN}/Grey ${fig6par} wantaxis2=0 title='(a) without filtering' out=junk1.v >/dev/null
	< Data/mUp-filter-iter20.H    ${xzoomwin2}   ${SEPBIN}/Grey ${fig6par} wantaxis2=0 title='(b) with filtering'  out=junk2.v >/dev/null
	< Data/diff-filter-iter20.H   ${xzoomwin2}   ${SEPBIN}/Grey ${fig6par} title='(c) difference'  out=junk3.v >/dev/null
	${SEPBIN}/vppen < junk1.v vpstyle=n xshift=0 yshift=18.5 > 1.v
	${SEPBIN}/vppen < junk2.v vpstyle=n xshift=0 yshift=9.5 > 2.v
	${SEPBIN}/vppen < junk3.v vpstyle=n xshift=0 yshift=0.5 > 3.v
	${SEPBIN}/vppen 1.v 2.v 3.v erase=n scale=0.2 > Fig/Vmp1.v
	${SEPBIN}/vp_annotate < Fig/Vmp1.v text=Ant/up-filter-compare-iter20.txt batch=y > $@
	python pycode/pyRemove.py 1.v 2.v 3.v junk*.v	Fig/Vmp1.v

xzoomwin2 =  ${SEPBIN}/Window3d n1=300 f1=80 | ${SEPBIN}/Window3d n2=300 f2=50 | ${SEPBIN}/Bandpass flo=0.0005 | 
fig5label= wherexlabel=b titlesz=14 titlefat=2 wheretitle=t labelsz=10 titlesz=10 label1='Depth(m)' label2='x(m)'
fig5par = ${fig5label} ${fig5clip} screenratio=0.5
fig5clip = newclip=1 bclip=-30. eclip=30.

fig6par = ${fig5label} ${fig6clip} screenratio=0.5
fig6clip = newclip=1 bclip=-1.2 eclip=1.2


