########### Generate files for Figures ###########################################

extractfile:


D = ./backup/inputdata/

####################################################
## Files for Figure 5 and 6 
####################################################


Data/mUp-nofilter-iter2.H: Data/rtm-total-nofilter.H
	${SEPBIN}/Window3d < Data/rtm-total-nofilter.H n3=1 f3=30 | ${SEPBIN}/Interp d1out=12.5 > $@

Data/mUp-filter-iter2.H: Data/rtm-total-filter.H
	${SEPBIN}/Window3d < Data/rtm-total-filter.H n3=1 f3=30 | ${SEPBIN}/Interp d1out=12.5 > $@

Data/mUp-nofilter-iter20.H: Data/lsrtm-total-nofilter.H
	${SEPBIN}/Window3d < Data/lsrtm-total-nofilter.H n3=1 f3=30 | ${SEPBIN}/Interp d1out=12.5 > $@

Data/mUp-filter-iter20.H: Data/lsrtm-total-filter.H
	${SEPBIN}/Window3d < Data/lsrtm-total-filter.H n3=1 f3=30 | ${SEPBIN}/Interp d1out=12.5 > $@



Data/diff-filter-iter%.H: Data/mUp-nofilter-iter%.H Data/mUp-filter-iter%.H
	bin/updateAB.x naxis=3 alpha=1. beta=-1. file2=Data/mUp-filter-iter$*.H file1=Data/mUp-nofilter-iter$*.H  outfile=$@ >/dev/null


####################################################
## Files for Figure 1, 2,  3, and 4 
####################################################
dmpar = title=" " label2="x (m)" label1="Depth (m)"  > /dev/null wheretitle=b grid2=1 g2num=1000 wheretitle=t grid1=1 g1num=1000. wherexlabel=b max1=6000. ${clip}
dmpar2 = title=" " label2="angle (deg)" label1="Depth (m)"  > /dev/null screenwd=4.0 screenht=6.0 wheretitle=t grid1=1 g1num=1000. wherexlabel=b max1=6000. ${clip}
xloc1 = 40
xloc2 = 80
xloc3 = 120
xloc4 = 160
xloc5 = 200
xloc6 = 240
xloc7 = 320
clip = newclip=1 bclip=-2. eclip=2.



Data/dmafter1.H Data/dmafter2.H: bin/Testkzkhv0.x
	python pycode/pyRemove.py Data/dmafter1.H Data/dmafter2.H
	bin/Testkzkhv0.x < ${D}/dmbefore.H outtag=Data/dmafter1.H elseouttag=Data/dmafter2.H kzkhfile=Data/dmkzkh1.H kzkhfile2=Data/dmkzkh2.H zhout=1 kzkhout=1 Gx=${Gx} shotnum=5 zthres=6000. >/dev/null UD=1
	pycode/pyRemove.py Data/dmkzkh1.H Data/kzkh2.H

Data/dmAngbefore.H:
	echo "n5=1 o5=0. d5=25. label5=hy label4=hx" >> ${D}/dmbefore.H
	${SEPBIN}/Transp < ${D}/dmbefore.H reshape=1,3,5 plane=23 > Data/beforeTSP.H
	${SEPBIN}/OFF2ANG   <  Data/beforeTSP.H  > $@
	pycode/pyRemove.py Data/beforeTSP.H

Data/dmAngafter1.H Data/dmAngafter2.H: Data/dmafter1.H Data/dmafter2.H
	python pycode/pyRemove.py Data/after1TSP.H Data/after2TSP.H Data/dmAngafter1.H Data/dmAngafter2.H
	echo "n5=1 o5=0. d5=25. label5=hy label4=hx" >> Data/dmafter1.H
	${SEPBIN}/Transp < Data/dmafter1.H reshape=1,3,5 plane=23 > Data/after1TSP.H
	${SEPBIN}/OFF2ANG   <  Data/after1TSP.H  > Data/dmAngafter1.H
	echo "n5=1 o5=0. d5=25. label5=hy label4=hx" >> Data/dmafter2.H
	${SEPBIN}/Transp < Data/dmafter2.H reshape=1,3,5 plane=23 > Data/after2TSP.H
	${SEPBIN}/OFF2ANG   <  Data/after2TSP.H  > Data/dmAngafter2.H
	pycode/pyRemove.py Data/after1TSP.H Data/after2TSP.H



####################################################


